Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Class HistorySelectors

    java.lang.Object
      com.ibm.workplace.wcm.api.query.HistorySelectors

    public final class HistorySelectors

extends java.lang.Object

`HistorySelectors` is a helper class to create history related `Selector`.

Since:
  7.0

Nested Class Summary
`protected static interface` | `HistorySelectors.Factory` Factory interface, used for internal implementation

Constructor Summary
`HistorySelectors()`

Method Summary
`static Selector` | `createdBefore(java.util.Date createdDate)` Returns a selector matching content created before the specified date The comparison is exclusive, i.e.
`static Selector` | `createdSince(java.util.Date createdDate)` Returns a selector matching content created since the specified date The comparison is inclusive, i.e.
`static Selector` | `lastModifierEquals(java.lang.String modifier)` Returns a selector which matches items where the last modification was made by the specified modifier
`static Selector` | `lastModifierIn(java.util.Collection<java.lang.String> modifiers)` Returns a selector which matches items where the last modification was made by a modifier from the specified Collection
`static Selector` | `lastModifierIn(java.lang.String... modifiers)` Returns a selector which matches items where the last modification was made by a modifier from the specified list
`static Selector` | `modifiedBefore(java.util.Date modifiedDate)` Returns a selector matching content modified before the specified date The comparison is exclusive, i.e.
`static Selector` | `modifiedSince(java.util.Date modifiedDate)` Returns a selector matching content modified since the specified date The comparison is inclusive, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistorySelectors

    public HistorySelectors()

Method Detail

### modifiedBefore

    public static Selector modifiedBefore(java.util.Date modifiedDate)

  Returns a selector matching content modified before the specified date The comparison is exclusive, i.e. the selector will not match content with the exact same last modification date.

  Parameters:
    `modifiedDate` - modified date
  Returns:
    modified date 'before' selector

### modifiedSince

    public static Selector modifiedSince(java.util.Date modifiedDate)

  Returns a selector matching content modified since the specified date The comparison is inclusive, i.e. the selector will match content with the exact same last modification date.

  Parameters:
    `modifiedDate` - modified date
  Returns:
    modified date 'since' selector

### createdBefore

    public static Selector createdBefore(java.util.Date createdDate)

  Returns a selector matching content created before the specified date The comparison is exclusive, i.e. the selector will not match content with the exact same creation date.

  Parameters:
    `createdDate` - created date
  Returns:
    created date 'before' selector

### createdSince

    public static Selector createdSince(java.util.Date createdDate)

  Returns a selector matching content created since the specified date The comparison is inclusive, i.e. the selector will match content with the exact same creation date.

  Parameters:
    `createdDate` - created date
  Returns:
    created date 'since' selector

### lastModifierEquals

    public static Selector lastModifierEquals(java.lang.String modifier)

  Returns a selector which matches items where the last modification was made by the specified modifier

  Parameters:
    `modifier` - the modifier DN to match
  Returns:
    modifier 'equals' selector

### lastModifierIn

    public static Selector lastModifierIn(java.lang.String... modifiers)

  Returns a selector which matches items where the last modification was made by a modifier from the specified list

  Parameters:
    `modifiers` - the list of modifier DNs to match
  Returns:
    modifier 'in' selector

### lastModifierIn

    public static Selector lastModifierIn(java.util.Collection<java.lang.String> modifiers)

  Returns a selector which matches items where the last modification was made by a modifier from the specified Collection

  Parameters:
    `modifiers` - the collection of modifier DNs to match
  Returns:
    modifier 'in' selector

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD